Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.ac.nagoyau.is.ss.kishii.suntori.message.report
Class ReportMessage

    java.lang.Object
      jp.ac.nagoyau.is.ss.kishii.suntori.message.RCRSCSMessage
          jp.ac.nagoyau.is.ss.kishii.suntori.message.report.ReportMessage

All Implemented Interfaces:
  IMessage

Direct Known Subclasses:
  DoneReportMessage, ExceptionReportMessage

    public abstract class ReportMessage

extends RCRSCSMessage

The abstract class show the report message.

Author:
  takefumi

Field Summary

Fields inherited from class jp.ac.nagoyau.is.ss.kishii.suntori.message.RCRSCSMessage
`COMMON_DATA_TYPE, data, messageType`

Constructor Summary
`ReportMessage(BaseMessageType type, int time, rescuecore2.worldmodel.EntityID platoonID)`
`ReportMessage(BaseMessageType type, java.util.List<java.lang.Integer> bitList, int offset, java.util.EnumMap<DataType,java.lang.Integer> bitSizeMap)` The method that the library use to convert the message.

Method Summary
`rescuecore2.worldmodel.EntityID` | `getAssignedAgentID()` Return EntityID of the rescue agent that send this message.

Methods inherited from class jp.ac.nagoyau.is.ss.kishii.suntori.message.RCRSCSMessage
`equals, getBrokenness, getBuriedness, getCoodinate, getDamage, getData, getData, getDataTypeArray, getEntityIDList, getFieryness, getHP, getID, getMessageBitSize, getMessageType, getRepairCost, getSendTime, getSendTime, getWater, getWaterPower, hashCode, isSendable, setCoorinate, setData, setData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportMessage

    public ReportMessage(BaseMessageType type,
                         int time,
                         rescuecore2.worldmodel.EntityID platoonID)

### ReportMessage

    public ReportMessage(BaseMessageType type,
                         java.util.List<java.lang.Integer> bitList,
                         int offset,
                         java.util.EnumMap<DataType,java.lang.Integer> bitSizeMap)

  The method that the library use to convert the message.

  Parameters:
    `type` -
    `bitList` -
    `offset` -
    `bitSizeMap` -

Method Detail

### getAssignedAgentID

    public rescuecore2.worldmodel.EntityID getAssignedAgentID()

  Return EntityID of the rescue agent that send this message.

  Returns:
    EntityID of the rescue agent.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD